BIB2BIB(1)

NAME
BibX2bib - Filter BibTeX data bases

SYNOPSIS
bib2bib [options] <filename> ...

DESCRIPTION
bib2bib is a filter tool that reads one or several bibliography files, filters the entries with respect to a given criterion, and outputs the list of selected keys together with a new bibliography file containing only the selected entries. If no input file is given then input is taken from the standard input.

Additionally, bib2bib may output a file containing all the keys of entries that satisfy the condition. This second file is suitable for input as option -citefile to bibtex2html

OPTIONS

-ob filename
    specify the filename where the selected entries are output. If not given, it defaults to standard output.

-oc filename
    specify the filename where the list of selected keys is output. If not given, this file is not created.

-c condition
    specify a condition for selecting the entries. The output will retain only the entries that satisfy this condition. If several such condition are given, then only the entries that satisfy all the conditions are selected. The syntax of conditions is described in the complete documentation, notice that it is better to escape shell expansions in that conditions, in other words, you should write conditions between quotes.

-expand
    expand all abbreviations in the output file. Notice that there is no way to ask for expansion of cross-references, since the meaning of such an expansion is unclear: it's better to let bibtex (via bibtex2html) handle the cross-references himself, depending on the style considered.

-s field
    sorts the entries of the bibliography with respect to the given field, which may be $key or $type to refer to the key or to the entry type, as for filter conditions. This options may be used several times to specify a lexicographic order, such as by year, then by keys. When the field is $date then entries are sorted chronologically.

    When sorting, the resulting bibliography will always contain the comments first, then the preambles, then the abbreviations, and finally the regular entries. Be warned that such a sort may put cross-references before entries that refer to them, so be cautious.

-r  reverses the sort

-q , --quiet
    be quiet.

-w , --warn-error
    stop at the first warning.

USAGE WITH BIBTEX2HTML
Notice that the two output files are suitable for use with bibtex2html. A typical use would be

    bib2bib -oc citefile -ob bibfile.bib -c condition file1.bib file2.bib ...
    bibtex2html -citefile citefile bibfile.bib

which will produce exactly the HTML file for the selected references. Notice finally that bibtex2html will expand the strings (by default, unless you specify the -noexpand option) but not the cross-references.

AUTHOR
Bib2bib has been written by Jean-Christophe Filliâtre and Claude Marché. This manpage has been compiled by Ralf Treinen from the original bib2bib documentation.

SEE ALSO
bibtex2html(1),bibtex(1),hevea(1)
http://www.lri.fr/~filliatr/bibtex2html/

For complete documentation, please check the bibtex2html manual. On a Debian system the manual can be found at /usr/share/doc/bibtex2html both in the formats postscript and HTML, or via the Debian help system.